Subject: Re: [RFC 3/4] powerpc/mm: Rename the vmemmap_backing struct and its elements

From: Michael Ellerman <[email-masked]>
Date: Fri, 19 Feb 2016 01:23:57 +1100

On Wed, 2016-02-17 at 20:22 +0530, Aneesh Kumar K.V wrote:

> Anshuman Khandual <[email-masked]> writes:
>

> > The structure to track single virtual to physical mapping has
> > been renamed from vmemmap_backing to vmemmap_hw_map which sounds
> > more appropriate. This forms a single entry of the global linked
> > list tracking all of the vmemmap physical mapping. The changes
> > are as follows.
> >
> > 	vmemmap_backing.list -> vmemmap_hw_map.link
> > 	vmemmap_backing.phys -> vmemmap_hw_map.paddr
> > 	vmemmap_backing.virt_addr -> vmemmap_hw_map.vaddr
>
> I am not sure this helps. If we are going to take these renames, can you
> wait till th book3s p9 preparation patches [1] hit upstream ?

I don't see why the new names are any better, and it's a lot of churn for
minimal if any benefit. So I'm not going to take this one.

cheers